Bug 1106387 - Usergroup cache is not updated when modified from user direction
Summary: Usergroup cache is not updated when modified from user direction
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-09 08:40 UTC by Marek Hulan
Modified: 2016-04-22 14:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:30:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6117 None None None 2016-04-22 14:58 UTC

Description Marek Hulan 2014-06-09 08:40:23 UTC
Our UI allows changing of usergroups only by modifying usergroups. But if developer use something like
<pre><code class="ruby">
user.usergroups = []
</code></pre>
cache is not updated. I found this during testing external groups sync by apache module which uses this way.

Comment 1 Marek Hulan 2014-06-09 08:40:25 UTC
Created from redmine issue http://projects.theforeman.org/issues/6117

Comment 2 Marek Hulan 2014-06-09 08:40:28 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2014-06-09 18:30:07 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6117 has been closed

Comment 7 Tazim Kolhar 2014-08-13 08:01:23 UTC
VERIFIED

tried modifying usergroup after creating it

Comment 8 Bryan Kearney 2014-09-11 12:30:04 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.